package ch.epfl.isochrone.timetable;

import ch.epfl.isochrone.geo.PointWGS84;
/**
 * Classe servant à représenter un arrêt
 * 
 * @author Charles Thiebaut (238935) 
 * @author Arnaud Delamare (234841)
 *
 */
public final class Stop {

    private final String name;
    private final PointWGS84 position;
 
    /**
     * @param name
     *        le nom de l'arrêt. 
     * @param position 
     *        la position WGS84 de l'arrêt.        
     */ 
    public Stop(String name, PointWGS84 position)
    {
        this.name=name;
        this.position=position;
    }
    /**
     * @return le nom de l'arrêt. 
     */  
    public String name()
    {
        return this.name;
    }
    /**
     * @return la position de larrêt. 
     */  
    public PointWGS84 position()
    {
        return this.position;
    }
    /**
     * @return le nom de l'arrêt. 
     */  
    public String toString()
    {
        return name();
    }
}
